Bug 802549 - Review Request: axis2 - Java-based Web Services / SOAP / WSDL engine
Review Request: axis2 - Java-based Web Services / SOAP / WSDL engine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 15:33 EDT by Andy Grimm
Modified: 2016-11-07 22:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 11:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-03-12 15:33:47 EDT
Name        : axis2
Version     : 1.6.1
Group       : Development/Libraries
License     : ASL 2.0
URL         : http://axis.apache.org/axis2/java/core/
Summary     : Java-based Web Services / SOAP / WSDL engine
Description :
Apache Axis2 is a Web Services / SOAP / WSDL engine, the successor
to the widely used Apache Axis SOAP stack. There are two
implementations of the Apache Axis2 Web services engine - Apache
Axis2/Java and Apache Axis2/C.  This is Axis2/Java.

SPEC:
http://downloads.eucalyptus.com/devel/packages/fedora-17/SPECS/axis2.spec

SRPM:
http://downloads.eucalyptus.com/devel/packages/fedora-17/sources/axis2-1.6.1-2.fc17.src.rpm
Comment 1 Juan Hernández 2012-03-20 07:59:10 EDT
I am taking this for review.
Comment 2 Juan Hernández 2012-03-20 08:14:44 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
 
Output of rpmlint of the source package:

$ rpmlint axis2-1.6.1-2.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Output of rpmlint of the binary packages:

$ rpmlint axis2-1.6.1-2.fc18.noarch.rpm
axis2-javadoc-1.6.1-2.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3913021

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : d0c09bf4b535e1b4ce22cc8cffe9a4d0
MD5SUM upstream package: d0c09bf4b535e1b4ce22cc8cffe9a4d0
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[-]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[!]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3913021


=== Issues ===
1. There is no comment on why the tests are skipped.

=== Final Notes ===
I am approving, as #1 is really minor and I trust you will add that comment before doing the first commit.

================
*** APPROVED ***
================
Comment 3 Andy Grimm 2012-03-20 09:25:23 EDT
New Package SCM Request
=======================
Package Name:      axis2
Short Description: Java-based Web Services / SOAP / WSDL engine
Owners:            arg
Branches:          f17
Comment 4 Gwyn Ciesla 2012-03-20 09:37:25 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-06-21 14:16:03 EDT
axis2-1.6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/axis2-1.6.1-3.fc17
Comment 6 Fedora Update System 2012-07-17 13:26:55 EDT
axis2-1.6.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.